List Merchants
curl --request GET \
--url https://api.example.com/v1/crm/merchants \
--header 'Authorization: Bearer <token>'{
"meta": {
"totalCount": 123,
"totalPages": 123,
"page": 123,
"perPage": 123
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientPath": "<string>",
"passwordExpirationDays": 123,
"loginFailureAttempts": 123,
"loginTimeoutMinutes": 123,
"tokenTimeoutMinutes": 123,
"otpValidityMinutes": 123,
"accountCooldownMinutes": 123,
"previousPasswordLimit": 123,
"multifactorEnabled": true,
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dba": "<string>",
"legal": "<string>"
},
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dba": "<string>",
"legal": "<string>"
},
"parentClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dba": "<string>",
"legal": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"federalTaxId": "<string>",
"hashedFederalTaxId": "<string>",
"bankIca": "<string>",
"bankIsDefault": true,
"encryptionKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateSigned": "<string>",
"qaInitiatedAt": "<string>",
"qaCompletedAt": "<string>",
"businessPhoneNumber": "<string>",
"mcc": "<string>",
"industryTypeId": 123,
"merchantTypeId": 123,
"dateEstablished": "<string>",
"stateOfIncorporation": "<string>",
"companyWebsite": "<string>",
"averageTicket": 123,
"monthlyVolume": 123,
"internet": 123,
"keyed": 123,
"moto": 123,
"retail": 123,
"monthlyAmexVolume": 123,
"averageAmexVolume": 123,
"amexAccountNumber": "<string>",
"bankId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankBinId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"riskCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customReturnPolicy": "<string>",
"nextDayFunding": true,
"reservePercent": 50,
"businessType": "<string>",
"goodsAndServices": "<string>",
"yearsInBusiness": 4503599627370495,
"mids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mid": "<string>",
"processorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processorConfig": {}
}
]
}
]
}Merchants
List merchants
Retrieve a paginated list of merchants
GET
/
v1
/
crm
/
merchants
List Merchants
curl --request GET \
--url https://api.example.com/v1/crm/merchants \
--header 'Authorization: Bearer <token>'{
"meta": {
"totalCount": 123,
"totalPages": 123,
"page": 123,
"perPage": 123
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientPath": "<string>",
"passwordExpirationDays": 123,
"loginFailureAttempts": 123,
"loginTimeoutMinutes": 123,
"tokenTimeoutMinutes": 123,
"otpValidityMinutes": 123,
"accountCooldownMinutes": 123,
"previousPasswordLimit": 123,
"multifactorEnabled": true,
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dba": "<string>",
"legal": "<string>"
},
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dba": "<string>",
"legal": "<string>"
},
"parentClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dba": "<string>",
"legal": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"federalTaxId": "<string>",
"hashedFederalTaxId": "<string>",
"bankIca": "<string>",
"bankIsDefault": true,
"encryptionKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateSigned": "<string>",
"qaInitiatedAt": "<string>",
"qaCompletedAt": "<string>",
"businessPhoneNumber": "<string>",
"mcc": "<string>",
"industryTypeId": 123,
"merchantTypeId": 123,
"dateEstablished": "<string>",
"stateOfIncorporation": "<string>",
"companyWebsite": "<string>",
"averageTicket": 123,
"monthlyVolume": 123,
"internet": 123,
"keyed": 123,
"moto": 123,
"retail": 123,
"monthlyAmexVolume": 123,
"averageAmexVolume": 123,
"amexAccountNumber": "<string>",
"bankId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankBinId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"riskCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customReturnPolicy": "<string>",
"nextDayFunding": true,
"reservePercent": 50,
"businessType": "<string>",
"goodsAndServices": "<string>",
"yearsInBusiness": 4503599627370495,
"mids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mid": "<string>",
"processorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processorConfig": {}
}
]
}
]
}Authorizations
bearerAuthapiKey
Enter token in following format: Bearer
Query Parameters
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
